/* layui的表格样式改造 */
.layui-table > thead > tr {
    background: #dddddd;
}
.layui-table > tbody > tr:hover {
    background: #ebf1de;
}
.layui-table .layui-table-cell {
  padding: 5px 10px 5px 5px; /* 内边距 */  
}
/*fieldset的改造*/
.layui-field-title{
	margin-bottom:10px;
	padding:0px;
}
.layui-field-title > legend{
	font-size:16px;
	color:blue;
	margin:0px 0px 0px 15px;
	padding:0px;
}
/*徽章改造*/
.layui-badge{
	white-space:nowrap;
}

.mycontent {
	background-color: #f2f2f2;
	padding: 1px 0px 0px; 
	height: calc(100vh - 10px);
	transition: margin-left 0.3s ease;
	font-size: 14px; /* 内容区域文字增大 */
}
.myblock{
	box-sizing: border-box;
    margin: 5px;
    padding:5px;
    background-color: #fff;
}
/*表单包裹*/
.myfieldset{
	margin: 0;
    border: 1px solid #e6e6e6;
    padding: 0px 10px 3px 10px;
    color: #6b6b6b;
}
/*按钮组的样式*/
.mybutton-group{
	display:flex;
	flex-wrap:nowrap;
}
.mybutton-group > span{
	flex:1;
}
.mybutton-group span:nth-child(n+2){
	margin-left:5px;
}

/*主要卡片*/
.mycard{
	display: flex;
	flex-direction: column;
	background-color: #fff;
	margin:5px;
	padding:5px;
	position: relative;
	padding-bottom:1px;
}
.mycard .mycard-header{
	flex:0 0 35px;
	box-sizing: border-box;
	padding:5px 15px;
	font-size:1.1em;
	text-align: left;
	text-overflow: nowrap;
	border-bottom:1px solid #f2f2f2;
	overflow: hidden;
	color:#222;
}
.mycard .mycard-body{
	flex:1 0;
	padding:5px 0px;
}
.mycard .mycard-body-border{
	flex:1 0;
	box-sizing: border-box;
	padding:10px 5px;
	border:1px solid #f2f2f2;
	margin-top:5px;
	margin-bottom:5px;
}

/*滚动条类型*/
*{
	/* Firefox 兼容 */
    scrollbar-width: thin;
    scrollbar-color: #ccc #f5f5f5;
}
/* Webkit 内核滚动条样式 */
*::-webkit-scrollbar {
	width: 8px;
	height:1px;//横向滚动条的宽度
	background-color: #f5f5f5;
}
*::-webkit-scrollbar-track {
	border-radius: 8px;
	background-color: #f5f5f5;
}
*::-webkit-scrollbar-thumb {
	border-radius: 8px;
	background-color: #ccc;
	transition: background-color 0.2s ease;
}
*::-webkit-scrollbar-thumb:hover {
	background-color: #999;
}
*::-webkit-scrollbar-button {
	display: none;
}
/*提示文本*/
.mynotice{
	border:1px solid orange;
	margin:5px 0px;
	padding:5px;
	color:red;
	border-radius:3px;
	font-size:16px;
}
/*徽章,在父元素右上角显示,需要把父元素设置relative*/
.mybadge{
	display:block;
	width:25px;
	height:25px;
	line-height:25px;
	padding-top:-20px;
	background-color:#ff5722;
	position:absolute;
	top:-5px;
	right:-15px;
	color:#fff;
	font-size:8px;
	border-radius: 50%;
	text-align:center;
}